class GamePlatformController < ApplicationController
  layout "admin"

  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @game_platform_pages, @game_platforms = paginate :game_platforms, :per_page => 10
  end

  def show
    @game_platform = GamePlatform.find(params[:id])
  end

  def new
    @game_platform = GamePlatform.new
  end

  def create
    @game_platform = GamePlatform.new(params[:game_platform])
    if @game_platform.save
      flash[:notice] = 'GamePlatform was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @game_platform = GamePlatform.find(params[:id])
  end

  def update
    @game_platform = GamePlatform.find(params[:id])
    if @game_platform.update_attributes(params[:game_platform])
      flash[:notice] = 'GamePlatform was successfully updated.'
      redirect_to :action => 'show', :id => @game_platform
    else
      render :action => 'edit'
    end
  end

  def destroy
    GamePlatform.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
