class MerchandiseController < ApplicationController
  layout "admin"

  # Make sure that a user logs in before doing any action here
  before_filter :authorize

  def index
    render :action => 'index'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @merchandise_pages, @merchandises = paginate :merchandises, :per_page => 10
  end

  def show
    @merchandise = Merchandise.find(params[:id])
  end

  def new
    @merchandise = Merchandise.new
  end

  def create
    @merchandise = Merchandise.new(params[:merchandise])
    if @merchandise.save
      flash[:notice] = 'Merchandise was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @merchandise = Merchandise.find(params[:id])
  end

  def update
    @merchandise = Merchandise.find(params[:id])
    if @merchandise.update_attributes(params[:merchandise])
      flash[:notice] = 'Merchandise was successfully updated.'
      redirect_to :action => 'show', :id => @merchandise
    else
      render :action => 'edit'
    end
  end

  def destroy
    Merchandise.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
