require File.dirname(__FILE__) + '/../test_helper'
require 'game_platform_controller'

# Re-raise errors caught by the controller.
class GamePlatformController; def rescue_action(e) raise e end; end

class GamePlatformControllerTest < Test::Unit::TestCase
  fixtures :game_platforms

  def setup
    @controller = GamePlatformController.new
    @request    = ActionController::TestRequest.new
    @response   = ActionController::TestResponse.new

    @first_id = game_platforms(:first).id
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_list
    get :list

    assert_response :success
    assert_template 'list'

    assert_not_nil assigns(:game_platforms)
  end

  def test_show
    get :show, :id => @first_id

    assert_response :success
    assert_template 'show'

    assert_not_nil assigns(:game_platform)
    assert assigns(:game_platform).valid?
  end

  def test_new
    get :new

    assert_response :success
    assert_template 'new'

    assert_not_nil assigns(:game_platform)
  end

  def test_create
    num_game_platforms = GamePlatform.count

    post :create, :game_platform => {}

    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_equal num_game_platforms + 1, GamePlatform.count
  end

  def test_edit
    get :edit, :id => @first_id

    assert_response :success
    assert_template 'edit'

    assert_not_nil assigns(:game_platform)
    assert assigns(:game_platform).valid?
  end

  def test_update
    post :update, :id => @first_id
    assert_response :redirect
    assert_redirected_to :action => 'show', :id => @first_id
  end

  def test_destroy
    assert_nothing_raised {
      GamePlatform.find(@first_id)
    }

    post :destroy, :id => @first_id
    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_raise(ActiveRecord::RecordNotFound) {
      GamePlatform.find(@first_id)
    }
  end
end
